using Microsoft.Extensions.Logging;

namespace FitConnect.Services;

public class FitConnectApiService {
    public CasesService CasesService;
    public DestinationService DestinationService;
    public OAuthService OAuthService;
    public SubmissionService SubmissionService;

    public FitConnectApiService(FitConnectEndpoints endpoints, ILogger? logger = null) {
        CasesService = new CasesService(endpoints.SubmissionUrl);
        DestinationService = new DestinationService(endpoints.SubmissionUrl);
        SubmissionService = new SubmissionService(endpoints.SubmissionUrl);
        OAuthService = new OAuthService(endpoints.TokenUrl);
    }
}
